# Filename: fixMenominee.py
# Name: Danielle Perszyk
# This script was used to adjust Menominee's data because it rarely reported.
# Menominee's data was replaced by Shawano's data.


replacementData = []

# Read in the file

with open('C:/Users/daniperszyk/Desktop/CountyToFix/cloud.txt', 'r') as file:  # replace with cloud.txt, temperature.txt, and windspeed.txt
    for line in file.readlines():
        parts = line.split(',')
        if parts[0] == "55115":  # Shawano's county ID
            replacementData.append("{},{},{},{}".format("55078", parts[1], parts[2], parts[3])) # Use Shawano's data with Menominee's ID
            print(replacementData[-1]) # Printed just for debugging purposes, can comment out

file.close()

i = 0
with open('C:/Users/daniperszyk/Desktop/CountyToFix/cloud.txt', 'r') as file:  # open same file for re-reading
    with open('C:/Users/daniperszyk/Desktop/CountyToFix/cloud-corrected.txt', 'w') as file1:  # open new file
        for line in file.readlines():
            parts = line.split(',')
            if parts[0] == "55078":  # If Menominee's ID
                # write from Shawano's Data Array
                file1.write(replacementData[i])
                i += 1
            else:
                # write to file without adjusting anything
                file1.write(line)
file1.close()
file.close()
